> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve a time off request



## OpenAPI

````yaml put /time-off/{requestId}/approve
openapi: 3.1.0
info:
  title: ReAdmin API
  version: 1.0.0
  description: ReAdmin developer api
  termsOfService: http://panel.readmin.app/legal/terms/
  contact:
    email: help@readmin.app
  x-fiddle-import-file: true
servers:
  - url: https://api.readmin.app
  - url: https://api.readmin.dev
    description: ReAdmin development API, only usable by ReAdmin developers.
security: []
tags:
  - name: Ranking Key
    description: Information about a key
  - name: Group Shout
    description: Update the group shout
  - name: Join Requests
    description: Get and manage join requests
  - name: Members
    description: Rank and exile members
  - name: Orders
    description: Operations related to orders management
  - name: Workspace
    description: Operations related to orders management
  - description: ''
    name: games
  - description: ''
    name: staff history
  - name: Activity
    description: Staff activity and minutes
  - name: Running Games
    description: Live tracked game servers
  - name: Time Off
    description: View and review time off requests
  - name: Teams
    description: Teams and team membership
  - name: Promotion Requests
    description: View promotion (nomination) requests
  - name: Calls
    description: In-game support calls and live chat
  - name: Sessions v2
    description: >-
      Modern, fully-normalized sessions API. Resources are flat and predictable,
      names are resolved, and lists are filterable and cursor-paginated.
externalDocs:
  description: ReAdmin docs
  url: http://docs.readmin.app
paths:
  /time-off/{requestId}/approve:
    put:
      tags:
        - Time Off
      summary: Approve a time off request
      operationId: approveTimeOffRequest
      parameters:
        - name: requestId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReviewRequest'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimeOffResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - loader-id: []
components:
  schemas:
    ReviewRequest:
      type: object
      properties:
        actorId:
          type: string
          description: Roblox id of the reviewer
        note:
          type: string
          description: Optional review note
      required:
        - actorId
    TimeOffResponse:
      type: object
      properties:
        success:
          type: boolean
        request:
          $ref: '#/components/schemas/TimeOffRequest'
    TimeOffRequest:
      type: object
      properties:
        _id:
          type: string
        groupId:
          type: string
        teamId:
          type: string
        userId:
          type: string
          description: Roblox id of the requester
        reason:
          type: string
        starts:
          type: string
          format: date-time
        ends:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - pending
            - approved
            - denied
        reviewedBy:
          type: string
        reviewNote:
          type: string
        reviewedAt:
          type: string
          format: date-time
        approvalChain:
          type: array
          items:
            $ref: '#/components/schemas/ApprovalStep'
        currentStepIndex:
          type: number
        currentApproverIds:
          type: array
          items:
            type: string
        created:
          type: string
          format: date-time
      required:
        - groupId
        - userId
        - reason
        - starts
        - ends
        - status
        - created
    ApprovalStep:
      type: object
      properties:
        index:
          type: number
        label:
          type: string
        type:
          type: string
        approverIds:
          type: array
          items:
            type: string
        status:
          type: string
          enum:
            - pending
            - approved
            - denied
        decidedBy:
          type: string
        decidedAt:
          type: string
          format: date-time
        note:
          type: string
  responses:
    BadRequest:
      description: Bad request, invalid parameters
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                default: false
              reason:
                type: string
    NotFound:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                default: false
              reason:
                type: string
    ServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                default: false
              reason:
                type: string
  securitySchemes:
    loader-id:
      type: apiKey
      name: loader-id
      in: header

````